curl --request GET \
--url https://api.topsort.com/public/v1/catalog-search-service/catalogs/products \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.topsort.com/public/v1/catalog-search-service/catalogs/products"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topsort.com/public/v1/catalog-search-service/catalogs/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hasMore": true,
"response": [
{
"id": "eyGqR4YQgBJa",
"name": "Delirium Tremens Beer Bottle 330cc x6",
"vendors": [
"9SiwYqqL8vdG",
"BRAND-48795"
],
"categories": [
"ahEDqV5uhjj8"
],
"description": "Named as \"Best Beer in the World\" in 2008 at the World Beer Championships in Chicago, Illinois.",
"brand": {
"id": "es5086vyV",
"name": "Delirium"
},
"imageURL": "https://cdn.example.com/products/eyGqR4YQgBJa.jpg",
"price": 18.99,
"active": true,
"ean": "4003994155486",
"gtin": "5901234123457",
"quality_score": 0.5,
"metadata": {},
"globalId": "PROD-12345",
"link": "http://www.example.com/asp/sp.asp?cat=12&id=1030",
"variantIds": [
"eyGqR4YQgBJa",
"PROD-548",
"52c8c83c-2f4f-4873-87a0-1ccd88273b27"
]
}
],
"nextPage": "SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo="
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Get Products
Get multiple products from the catalog.
Authorizations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Query Parameters
Pagination cursor as provided in an earlier response. If provided will fetch the next page of results.
European Article Number to filter products by. Formatted as a thirteen digit EAN-13 code.
Vendor ID to filter products by.
Search terms to look for in product names and descriptions.
Response
Successful Response
Flag that indicates whether more results are available. true indicates there is a next page of results. false indicates this response contains the last page of results.
Array of products.
Show child attributes
Show child attributes
Pagination cursor. Provide this value as a next_page query parameter in a new request to retrieve the next page of results.
1"SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo="
Was this page helpful?